Đến nội dung


Hình ảnh
- - - - -

Lisp cho biết màu đối tượng


  • Please log in to reply
3 replies to this topic

#1 nani

nani

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 11 May 2009 - 10:03 PM

khi chạy lisp. ta chọn đối tượng, lisp sẽ cho ta biết đối tượng đó thuộc màu số bao nhiêu. để tiện cho việc in ấn các bác ạ!!! em xin cảm ơn
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 May 2009 - 10:36 PM

khi chạy lisp. ta chọn đối tượng, lisp sẽ cho ta biết đối tượng đó thuộc màu số bao nhiêu. để tiện cho việc in ấn các bác ạ!!! em xin cảm ơn

Mạn phép anh Duy, cho phép Tue_NV sửa lại Code cho phù hợp :
http://www.cadviet.c...amp;#entry49058
(Defun c:mau( )

(setq ddd (entsel "\nChon doi tuong mau"))

(setq DT (car ddd))
(setq DTM (entget DT))

(setq mau (cdr(assoc 62 DTM)))

(if (= mau nil)
(Progn
(setq LOP (cdr (assoc 8 DTM)))
(setq TENLOP (TBLOBJNAME "LAYER" LOP))
(setq DOCLOP (entget TENLOP))
(setq MAULOP (cdr (assoc 62 DOCLOP)))
(alert (strcat "\ndoi tuong thuoc layer: <" lop "> color so : <" (itoa MAULOP) ">"))
)
(Progn
(setq LOP (cdr (assoc 8 DTM)))
(alert (strcat "\ndoi tuong thuoc layer: <" lop "> color so : <" (itoa mau) ">"))
)
)
(Princ)
)

  • 1

#3 nani

nani

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 12 May 2009 - 11:17 AM

cảm ơn bác tue nhiều lắm. đúng cái em cần. bác đúng là cao thủ. thanks
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 May 2009 - 11:25 AM

cảm ơn bác tue nhiều lắm. đúng cái em cần. bác đúng là cao thủ. thanks

Không cần post bài như vậy đâu. Ở phía dưới có nút Thankss đấy.
Lisp được Tue_NV bỏ thêm vòng lặp. Bạn sử dụng thử :
(Defun c:mau( )

(while (setq ddd (entsel "\nChon doi tuong mau"))

(setq DT (car ddd))
(setq DTM (entget DT))

(setq mau (cdr(assoc 62 DTM)))

(if (= mau nil)
(Progn
(setq LOP (cdr (assoc 8 DTM)))
(setq TENLOP (TBLOBJNAME "LAYER" LOP))
(setq DOCLOP (entget TENLOP))
(setq MAULOP (cdr (assoc 62 DOCLOP)))
(alert (strcat "\ndoi tuong thuoc layer: <" lop "> color so : <" (itoa MAULOP) ">"))
)
(Progn
(setq LOP (cdr (assoc 8 DTM)))
(alert (strcat "\ndoi tuong thuoc layer: <" lop "> color so : <" (itoa mau) ">"))
)
)
)
(Princ)
)

  • 4